Index: src/edu/ucsb/nceas/metacat/RelationHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/RelationHandler.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/RelationHandler.java	(revision 2663)
@@ -28,13 +28,16 @@
 import java.util.*;
 import java.net.*;
 
+import org.apache.log4j.Logger;
 
+
 public class RelationHandler //implements Runnable
 {
   private DBConnection connection = null;
   private String docid = null;
   private String docType = null;
-  
+  private static Logger logMetacat = Logger.getLogger(RelationHandler.class);
+
   TripleCollection tripleForPackage = null;
    
   /** 
@@ -73,7 +76,7 @@
     String objDoctype = null;
     PreparedStatement tstmt = null; // to insert each relation into xml_relation
    
-    MetaCatUtil.debugMessage("Running relation handler!", 40);
+    logMetacat.info("Running relation handler!");
    
     // first delete the relations for this package document if any
     deleteRelations(docid);
@@ -101,10 +104,10 @@
         connection.increaseUsageCount(1);
         // Get the triple
         Triple triple = (Triple)tripleList.elementAt(i);
-        MetaCatUtil.debugMessage("Info from triple: ", 30);
-        MetaCatUtil.debugMessage("subject from triple:"+triple.getSubject(), 30);
-        MetaCatUtil.debugMessage("relationship from triple:"+triple.getRelationship(),30);
-        MetaCatUtil.debugMessage("object from triple: "+triple.getObject(),30);
+        logMetacat.info("Info from triple: ");
+        logMetacat.info("subject from triple:"+triple.getSubject());
+        logMetacat.info("relationship from triple:"+triple.getRelationship());
+        logMetacat.info("object from triple: "+triple.getObject());
         //subject = (new DocumentIdentifier(triple.getSubject())).getIdentifier();
         subject = MetaCatUtil.getDocIdFromString(triple.getSubject());
         relationship = triple.getRelationship();
@@ -115,21 +118,21 @@
         {
         
           //put the new relation into xml_relation
-          MetaCatUtil.debugMessage("Insert into xml_relation table", 30);
+          logMetacat.info("Insert into xml_relation table");
           tstmt.setString(1, docid);
-          MetaCatUtil.debugMessage("Insert docid into xml_relation table" + 
-                                docid, 30);
+          logMetacat.info("Insert docid into xml_relation table" + 
+                                docid);
           tstmt.setString(2, packagetype);
           tstmt.setString(3, subject);
-          MetaCatUtil.debugMessage("Insert subject into xml_relation table" + 
-                               subject, 30);
+          logMetacat.info("Insert subject into xml_relation table" + 
+                               subject);
           tstmt.setString(4, subDoctype);
           tstmt.setString(5, relationship);
-          MetaCatUtil.debugMessage("Insert relationship into xml_relation table" + 
-                                relationship, 30);
+          logMetacat.info("Insert relationship into xml_relation table" + 
+                                relationship);
           tstmt.setString(6, object);
-          MetaCatUtil.debugMessage("Insert object into xml_relation table" + 
-                                object, 30);
+          logMetacat.info("Insert object into xml_relation table" + 
+                                object);
           tstmt.setString(7, objDoctype);
           tstmt.execute();  
         }//if
@@ -160,8 +163,8 @@
       pstmt.execute();
       pstmt.close();
     } catch(SQLException e) {
-      MetaCatUtil.debugMessage("error in RelationHandler.deleteRelations(): " + 
-                          e.getMessage(), 30);
+      logMetacat.error("error in RelationHandler.deleteRelations(): " + 
+                          e.getMessage());
       
       throw e;
     }
@@ -226,8 +229,8 @@
       }//finally
     }//finally
      
-    MetaCatUtil.debugMessage("The access docid get from xml_relation is: "+
-                              aclid, 30);
+    logMetacat.info("The access docid get from xml_relation is: "+
+                              aclid);
     return aclid;
   }
 
Index: src/edu/ucsb/nceas/metacat/DBUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBUtil.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/DBUtil.java	(revision 2663)
@@ -46,6 +46,8 @@
 import java.util.Vector;
 import java.util.Stack;
 
+import org.apache.log4j.Logger;
+
 /**
  * A suite of utility classes for quering DB
  */
@@ -52,6 +54,7 @@
 public class DBUtil {
 
   //private Connection	conn = null;
+  private static Logger logMetacat = Logger.getLogger(DBUtil.class);
 
   /**
    * main routine used for testing.
@@ -458,8 +461,8 @@
     catch ( SQLException e)
     {
       // Print out excepition
-      MetaCatUtil.debugMessage("Error in DBUil.findDataSEtDocIdForGivenDocument"
-                                +e.getMessage(), 30);
+      logMetacat.error("Error in DBUil.findDataSEtDocIdForGivenDocument"
+                                +e.getMessage());
       // return null
       return dataSetDocId;
      
@@ -476,8 +479,8 @@
       catch ( SQLException e)
       {
         // Print out excepition
-        MetaCatUtil.debugMessage("Error in DBUil.findDataSetDocIdForGivenDoc"
-                                + e.getMessage(), 30);
+    	  logMetacat.error("Error in DBUil.findDataSetDocIdForGivenDoc"
+                                + e.getMessage());
      
       }//catch
       finally
@@ -559,8 +562,8 @@
       catch ( SQLException e)
       {
         // Print out excepition
-        MetaCatUtil.debugMessage("Error in DBUil.getCurrentRevisionAndDocType"
-                                + e.getMessage(), 30);
+    	  logMetacat.error("Error in DBUil.getCurrentRevisionAndDocType"
+                                + e.getMessage());
      
       }//catch
       finally
@@ -602,7 +605,7 @@
           boolean hasRow = rs.next();
           while (hasRow) {
               rev = rs.getInt(1);
-              MetaCatUtil.debugMessage("rev "+ rev +" is added to list", 20);
+              logMetacat.warn("rev "+ rev +" is added to list");
               list.add(new Integer(rev));
               hasRow = rs.next();
               
@@ -613,8 +616,8 @@
           try {
               pStmt.close();
           } catch (Exception ee) {
-              MetaCatUtil.debugMessage("Error in DocumentImpl."
-                      + "getLatestRevisionNumber: " + ee.getMessage(), 50);
+        	  logMetacat.error("Error in DocumentImpl."
+                      + "getLatestRevisionNumber: " + ee.getMessage());
           } finally {
               DBConnectionPool.returnDBConnection(dbConn, serialNumber);
           }
@@ -662,8 +665,8 @@
           try {
               pStmt.close();
           } catch (Exception ee) {
-              MetaCatUtil.debugMessage("Error in DBUtil."
-                      + "getLatestRevisionInDocumentTable: " + ee.getMessage(), 50);
+        	  logMetacat.error("Error in DBUtil."
+                      + "getLatestRevisionInDocumentTable: " + ee.getMessage());
           } finally {
               DBConnectionPool.returnDBConnection(dbConn, serialNumber);
           }
Index: src/edu/ucsb/nceas/metacat/ForceReplicationHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ForceReplicationHandler.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/ForceReplicationHandler.java	(revision 2663)
@@ -38,6 +38,8 @@
 import java.lang.*;
 import java.text.*;
 
+import org.apache.log4j.Logger;
+
 /**
  * A class to asyncronously force the replication of each server
  * that has an entry in the xml_replication table.  When run,
@@ -60,6 +62,7 @@
   // other metacat in its serverlist to update this docid if A is a hub. But we
   // don't want A to notify B again. B is nofitification of A
   private String notificationServer = null;
+  private Logger logMetacat = Logger.getLogger(ForceReplicationHandler.class);
 
   //constant
   public static final String DELETE = "delete";
@@ -92,8 +95,8 @@
     }//try
     catch (Exception e)
     {
-      MetaCatUtil.debugMessage("Error in ForceReplicationHandle(): "
-                                                          +e.getMessage(), 30);
+      logMetacat.error("Error in ForceReplicationHandle(): "
+                                                          +e.getMessage());
     }//catch
     // Get the notification server
     this.notificationServer = myNotificationServer;
@@ -126,8 +129,8 @@
     }
      catch (Exception e)
     {
-      MetaCatUtil.debugMessage("Error in ForceReplicationHandle(): "
-                                                          +e.getMessage(), 30);
+      logMetacat.error("Error in ForceReplicationHandle(): "
+                                                          +e.getMessage());
     }//catch
     // Get notification server
     this.notificationServer = myNotificationServer;
@@ -162,9 +165,9 @@
       }
       catch(Exception ee)
       {
-        MetaCatUtil.debugMessage("Couldn't sleep in force replication", 20);
+        logMetacat.error("Couldn't sleep in force replication");
       }
-      MetaCatUtil.debugMessage("notification server:"+notificationServer, 34);
+      logMetacat.info("notification server:"+notificationServer);
       // Check every server in the serverlists
       for (int i=0; i<serverLists.size(); i++)
       {
@@ -343,8 +346,8 @@
           //Make sure comeAndGetIt is not empty
           if ( comeAndGetIt != null && !comeAndGetIt.equals(""))
           {
-            MetaCatUtil.debugMessage("sending message: "
-                                                + comeAndGetIt.toString(), 25);
+            logMetacat.warn("sending message: "
+                                                + comeAndGetIt.toString());
             String message = MetacatReplication.getURLContent(comeAndGetIt);
           }
           //send out the url.  message is a dummy variable as the target of
@@ -354,13 +357,13 @@
         }
         catch (Exception ee)
         {
-            MetaCatUtil.debugMessage("error in ForceReplicationHandler.run for server " 
-                    + server +" "+ee.getMessage(), 20);
+        	logMetacat.error("error in ForceReplicationHandler.run for server " 
+                    + server +" "+ee.getMessage());
              ee.printStackTrace();
         }
       }//for
 
    
-      MetaCatUtil.debugMessage("exiting ForceReplicationHandler Thread", 25);
+      logMetacat.warn("exiting ForceReplicationHandler Thread");
   }//run
 }//ForceReplication class
Index: src/edu/ucsb/nceas/metacat/AccessSection.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AccessSection.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/AccessSection.java	(revision 2663)
@@ -31,6 +31,8 @@
 import java.util.Vector;
 import java.util.Stack;
 
+import org.apache.log4j.Logger;
+
 /**
  * A Class that represents an XML access rule. It include principal and
  * permission
@@ -45,6 +47,7 @@
   private Stack storedTmpNodeStack = null;
   private Vector describedIdList = new Vector();
   private long startedDescribesNodeId = -1;
+  private Logger logMetacat = Logger.getLogger(AccessSection.class);
 
 
     /**
@@ -148,7 +151,7 @@
     {
 
       // set parameters
-      MetaCatUtil.logMetacat.info("Copy permission order: " +
+      logMetacat.info("Copy permission order: " +
                                 this.getPermissionOrder());
       newAccessSection.setPermissionOrder(this.getPermissionOrder());
       Vector accessRuleVector = this.getAccessRules();
Index: src/edu/ucsb/nceas/metacat/FilteredSubTree.java
===================================================================
--- src/edu/ucsb/nceas/metacat/FilteredSubTree.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/FilteredSubTree.java	(revision 2663)
@@ -37,7 +37,9 @@
 import java.sql.SQLException;
 import java.sql.ResultSet;
 
+import org.apache.log4j.Logger;
 
+
 /**
  * A Class that represents an Filtered XML Subtree, it means a subtree which 
  * contains another subtree has different access behavor to it.
@@ -52,7 +54,7 @@
   private long   startNodeId = -1;
   private long   endNodeId =   -1;
   private Vector sortedFilteredSubTree = new Vector();
- 
+  private Logger logMetacat = Logger.getLogger(FilteredSubTree.class);
     
     /**
      * Constructor of filteredsubtree
@@ -62,14 +64,14 @@
                   throws McdbException
     {
       this.docId = myDocId;
-      MetaCatUtil.debugMessage("Docid of FilteredSubtree: " + docId, 30);
+      logMetacat.info("Docid of FilteredSubtree: " + docId);
       this.subTreeId = mySubTreeId;
-      MetaCatUtil.debugMessage("id of FilteredSubtree: " + subTreeId, 30);
+      logMetacat.info("id of FilteredSubtree: " + subTreeId);
       this.startNodeId = myStartNodeId;
-      MetaCatUtil.debugMessage("start node id of FilteredSubtree: " + 
-                                startNodeId, 30);
+      logMetacat.info("start node id of FilteredSubtree: " + 
+                                startNodeId);
       this.endNodeId = myEndNodeId;
-      MetaCatUtil.debugMessage("end node id of FilteredSubtree: " + endNodeId, 30);
+      logMetacat.info("end node id of FilteredSubtree: " + endNodeId);
      }
     
   
@@ -77,7 +79,7 @@
     /** Set the a docId */
     public void setDocId(String myId)
     {
-      MetaCatUtil.debugMessage("set doc id: "+myId, 35);
+      logMetacat.info("set doc id: "+myId);
       this.docId = myId;
     }
 
@@ -91,7 +93,7 @@
     /** Set the a subtreeId */
     public void setSubTreeId(String myId)
     {
-      MetaCatUtil.debugMessage("set sub tree id: "+myId, 35);
+      logMetacat.info("set sub tree id: "+myId);
       this.subTreeId = myId;
     }
 
@@ -106,7 +108,7 @@
      */
     public void setStartElementName(String elementName) 
     {
-      MetaCatUtil.debugMessage("set start elementname: "+elementName, 35);
+      logMetacat.info("set start elementname: "+elementName);
       this.startElementName = elementName;
     }
     
@@ -121,7 +123,7 @@
     /** Set a start node id */
     public void setStartNodeId(long nodeId)
     {
-      MetaCatUtil.debugMessage("set start node id: "+nodeId, 35);
+      logMetacat.info("set start node id: "+nodeId);
       this.startNodeId = nodeId;
     }
     
@@ -134,7 +136,7 @@
     /** Set a end node id */
     public void setEndNodeId(long nodeId)
     {
-      MetaCatUtil.debugMessage("set end node id: "+nodeId, 35);
+      logMetacat.info("set end node id: "+nodeId);
       this.endNodeId = nodeId;
     }
     
@@ -187,8 +189,8 @@
          sql = sql + "nodeid < ? ) OR (nodeid > ? AND "; 
        }
        sql = sql + "nodeid <= ? )) ORDER BY nodeid DESC";
-       MetaCatUtil.debugMessage("sql command for selecting filtere subtree is: "
-                                 +sql, 25);
+       logMetacat.info("sql command for selecting filtere subtree is: "
+                                 +sql);
        
        try 
        {
@@ -258,8 +260,8 @@
         }
         catch (SQLException ee)
         {
-          MetaCatUtil.debugMessage("error in FilteredSubTree.getSubTreeNodeList 2: "
-                                    +ee.getMessage(), 30);
+          logMetacat.error("error in FilteredSubTree.getSubTreeNodeList 2: "
+                                    +ee.getMessage());
         }
         finally
         {
Index: src/edu/ucsb/nceas/metacat/DBConnectionPool.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBConnectionPool.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/DBConnectionPool.java	(revision 2663)
@@ -36,6 +36,8 @@
 import java.util.Hashtable;
 import java.util.Enumeration;
 
+import org.apache.log4j.Logger;
+
 /** 
  * A class represent a DBConnection pool. Another user can use the
  * object to initial a connection pool, get db connection or return it.
@@ -50,7 +52,8 @@
   private static Vector connectionPool;
   private static Thread runner;
   private static int countOfReachMaximum = 0;
-  
+  private static Logger logMetacat = Logger.getLogger(DBConnectionPool.class);
+
   //maximum connection number in the connection pool
   final static int MAXIMUMCONNECTIONNUMBER=
                   Integer.parseInt(MetaCatUtil.getOption("maximumConnections"));
@@ -92,22 +95,22 @@
   public static synchronized DBConnectionPool getInstance()
                                  throws SQLException 
   {
-    MetaCatUtil.debugMessage
-                      ("MaximumConnectionNumber: "+MAXIMUMCONNECTIONNUMBER, 49);
-    MetaCatUtil.debugMessage
-                     ("Intial connection number: "+INITIALCONNECTIONNUMBER, 49);
-    MetaCatUtil.debugMessage
-                 ("Increated connection Number: "+INCREASECONNECTIONNUMBER, 49);
-    MetaCatUtil.debugMessage
-                  ("Maximum connection age: "+MAXIMUMAGE, 49);
-    MetaCatUtil.debugMessage
-                  ("Maximum connection time: "+MAXIMUMCONNECTIONTIME, 49);
-    MetaCatUtil.debugMessage
-                  ("Maximum usage count: "+MAXIMUMUSAGENUMBER, 49);
-    MetaCatUtil.debugMessage
-             ("Running recycle thread or not: "+DBCONNECTIONRECYCLETHREAD, 49);
-    MetaCatUtil.debugMessage
-             ("Cycle time of recycle: "+CYCLETIMEOFDBCONNECTION, 49); 
+    MetaCatUtil.printMessage
+                      ("MaximumConnectionNumber: "+MAXIMUMCONNECTIONNUMBER);
+    MetaCatUtil.printMessage
+                     ("Intial connection number: "+INITIALCONNECTIONNUMBER);
+    MetaCatUtil.printMessage
+                 ("Increated connection Number: "+INCREASECONNECTIONNUMBER);
+    MetaCatUtil.printMessage
+                  ("Maximum connection age: "+MAXIMUMAGE);
+    MetaCatUtil.printMessage
+                  ("Maximum connection time: "+MAXIMUMCONNECTIONTIME);
+    MetaCatUtil.printMessage
+                  ("Maximum usage count: "+MAXIMUMUSAGENUMBER);
+    MetaCatUtil.printMessage
+             ("Running recycle thread or not: "+DBCONNECTIONRECYCLETHREAD);
+    MetaCatUtil.printMessage
+             ("Cycle time of recycle: "+CYCLETIMEOFDBCONNECTION); 
     if (instance == null) {
       instance = new DBConnectionPool();
     }
@@ -194,9 +197,9 @@
     int random = 0; //random number
     int index = 0; //index
     int size = 0; //size of connection pool
-    MetaCatUtil.debugMessage("Try to checking out connection...", 65);
+    logMetacat.debug("Try to checking out connection...");
     size = connectionPool.size();
-    MetaCatUtil.debugMessage("size of connection pool: "+size, 55);
+    logMetacat.debug("size of connection pool: "+size);
     
      //try every DBConnection in the pool
     //every DBConnection will be try LIMITE times
@@ -209,9 +212,9 @@
       {
         index =(i+random)%size;
         db = (DBConnection) connectionPool.elementAt(index);
-        MetaCatUtil.debugMessage("Index: "+index, 65);
-        MetaCatUtil.debugMessage("Tag: "+db.getTag(), 65);
-        MetaCatUtil.debugMessage("Status: "+db.getStatus(), 65);
+        logMetacat.debug("Index: "+index);
+        logMetacat.debug("Tag: "+db.getTag());
+        logMetacat.debug("Status: "+db.getStatus());
         //check if the connection is free
         if (db.getStatus()==FREE)
         {
@@ -229,14 +232,14 @@
             db.setCheckOutMethodName(methodName);
             db.setAutoCommit(true);
             //debug message
-            MetaCatUtil.debugMessage("The connection is checked out: "
-                                       +db.getTag(), 65);
-            MetaCatUtil.debugMessage("The method for checking is: " 
-                                              +db.getCheckOutMethodName(), 65);
-            MetaCatUtil.debugMessage("The age is "+db.getAge(), 65);
-            MetaCatUtil.debugMessage("The usage is "+db.getUsageCount(), 65);
-            MetaCatUtil.debugMessage("The conection time it has: "
-                                                +db.getConnectionTime(), 65);
+            logMetacat.debug("The connection is checked out: "
+                                       +db.getTag());
+            logMetacat.debug("The method for checking is: " 
+                                              +db.getCheckOutMethodName());
+            logMetacat.debug("The age is "+db.getAge());
+            logMetacat.debug("The usage is "+db.getUsageCount());
+            logMetacat.debug("The conection time it has: "
+                                                +db.getConnectionTime());
             //set check out time
             db.setCheckOutTime(System.currentTimeMillis());
             // set count of reach maximum 0 because it can check out
@@ -290,15 +293,15 @@
                             " open db connections is reached." +
                             " New db connection to MetaCat" +
                             " cannot be established.");*/
-       MetaCatUtil.debugMessage("The maximum of " +MAXIMUMCONNECTIONNUMBER + 
+       logMetacat.fatal("The maximum of " +MAXIMUMCONNECTIONNUMBER + 
                             " open db connections is reached." +
                             " New db connection to MetaCat" +
-                            " cannot be established.", 1);
+                            " cannot be established.");
        countOfReachMaximum ++;
        if (countOfReachMaximum >= 10)
        {
          countOfReachMaximum =0;
-         MetaCatUtil.debugMessage("finally could not get dbconnection", 1);
+         logMetacat.fatal("finally could not get dbconnection");
          return null;
        }
        else
@@ -306,11 +309,12 @@
          //if couldn't get a connection, sleep 20 seconds and try again.
          try
          {
-           MetaCatUtil.debugMessage("sleep for could not get dbconnection", 20);
+           logMetacat.info("sleep for could not get dbconnection");
            Thread.sleep(5000);
          }
          catch (Exception e)
         {
+           logMetacat.error("Exception in getDBConnection" + e.getMessage());
         }
       }
          
@@ -341,8 +345,8 @@
     //Check if the DBConnection usageCount if it is too many
     if (dbConn.getUsageCount() >= MAXIMUMUSAGENUMBER )
     {
-      MetaCatUtil.debugMessage("Connection usageCount is too many: "+
-      dbConn.getUsageCount(), 65);
+      logMetacat.debug("Connection usageCount is too many: "+
+      dbConn.getUsageCount());
       return false;
     }
     
@@ -349,8 +353,8 @@
     //Check if the DBConnection has too much connection time
     if (dbConn.getConnectionTime() >= MAXIMUMCONNECTIONTIME)
     {
-      MetaCatUtil.debugMessage("Connection has too much connection time: "+
-      dbConn.getConnectionTime(), 65);
+      logMetacat.debug("Connection has too much connection time: "+
+      dbConn.getConnectionTime());
       return false;
     }
     
@@ -357,7 +361,7 @@
     //Check if the DBConnection is too old
     if (dbConn.getAge() >=MAXIMUMAGE)
     {
-      MetaCatUtil.debugMessage("Connection is too old: "+dbConn.getAge(), 65);
+      logMetacat.debug("Connection is too old: "+dbConn.getAge());
       return false;
     }
     
@@ -375,8 +379,8 @@
     }
     catch (Exception e)
     {
-      MetaCatUtil.debugMessage("Error in validateDBConnection: "
-                                +e.getMessage(), 30);
+      logMetacat.error("Error in validateDBConnection: "
+                                +e.getMessage());
       return false;
     }
     
@@ -397,9 +401,9 @@
     index = getIndexOfPoolForConnection(conn);
     if ( index ==-1 )
     {
-      MetaCatUtil.debugMessage("Couldn't find a DBConnection in the pool"
+      logMetacat.info("Couldn't find a DBConnection in the pool"
                                   +" which have same tag to the returned"
-                                  +" DBConnetion object", 30);
+                                  +" DBConnetion object");
       return;
                                   
     }//if
@@ -409,9 +413,9 @@
       //if it is as same as the object's checkoutserial number.
       //if it is same return it. If it is not same, maybe the connection already
       // was returned ealier.
-      MetaCatUtil.debugMessage("serial number in Connection: "
-                                      +conn.getCheckOutSerialNumber(), 65);
-      MetaCatUtil.debugMessage("serial number in local: "+serialNumber, 65);
+      logMetacat.debug("serial number in Connection: "
+                                      +conn.getCheckOutSerialNumber());
+      logMetacat.debug("serial number in local: "+serialNumber);
       if (conn.getCheckOutSerialNumber() == serialNumber)
       {
         dbConn = (DBConnection) connectionPool.elementAt(index);
@@ -424,15 +428,14 @@
         //set check out time to 0
         dbConn.setCheckOutTime(0);
         
-        MetaCatUtil.debugMessage("Connection: "+dbConn.getTag()+" checked in.",
-                                                                        65);
-        MetaCatUtil.debugMessage("Connection: "+dbConn.getTag()+"'s status: "
-                                                    +dbConn.getStatus(), 65);
+        logMetacat.debug("Connection: "+dbConn.getTag()+" checked in.");
+        logMetacat.debug("Connection: "+dbConn.getTag()+"'s status: "
+                                                    +dbConn.getStatus());
                                                                        
       }//if
       else
       {
-        MetaCatUtil.debugMessage("This DBConnection couldn't return", 30);
+        logMetacat.info("This DBConnection couldn't return");
       }//else
     }//else
    
@@ -498,8 +501,8 @@
         }//try
         catch (SQLException e)
         {
-          MetaCatUtil.debugMessage("Error in release connection: "
-                                            +e.getMessage(), 10);
+          logMetacat.error("Error in release connection: "
+                                            +e.getMessage());
         }//catch
       }//for
     }//synchronized
@@ -526,12 +529,12 @@
           if (dbConn.getStatus()==BUSY && 
             (System.currentTimeMillis()-dbConn.getCheckOutTime())>=30000)
           {
-            MetaCatUtil.debugMessage("This DBConnection is checked out for: "
+            logMetacat.fatal("This DBConnection is checked out for: "
             +(System.currentTimeMillis()-dbConn.getCheckOutTime())/1000
-            +" secs" , 1);
-            MetaCatUtil.debugMessage(dbConn.getTag(), 1);
-            MetaCatUtil.debugMessage("method: "
-                                          +dbConn.getCheckOutMethodName(), 10);
+            +" secs");
+            logMetacat.fatal(dbConn.getTag());
+            logMetacat.error("method: "
+                                          +dbConn.getCheckOutMethodName());
             
           }
           
@@ -543,13 +546,13 @@
               //try to print out the warning message for every connection
               if (dbConn.getWarningMessage()!=null)
               {
-                MetaCatUtil.debugMessage("Warning for connection "
-                  +dbConn.getTag()+" : "+ dbConn.getWarningMessage(), 10);
+                logMetacat.warn("Warning for connection "
+                  +dbConn.getTag()+" : "+ dbConn.getWarningMessage());
               }
               //check if it is valiate, if not create new one and replace old one
               if (!validateDBConnection(dbConn))
               {
-                MetaCatUtil.debugMessage("Recyle it: "+ dbConn.getTag(), 65);
+                logMetacat.debug("Recyle it: "+ dbConn.getTag());
                 //close this DBConnection
                 dbConn.close();
                 //remove it form connection pool
@@ -561,8 +564,8 @@
             }//try
             catch (SQLException e)
             {
-              MetaCatUtil.debugMessage("Error in DBConnectionPool.run: "
-                                              +e.getMessage(), 20);
+              logMetacat.error("Error in DBConnectionPool.run: "
+                                              +e.getMessage());
             }//catch
           }//if
         }//for
@@ -574,8 +577,8 @@
       }
       catch (Exception e)
       {
-        MetaCatUtil.debugMessage("Error in DBConnectionPool.run: "
-                                              +e.getMessage(), 20);
+        logMetacat.error("Error in DBConnectionPool.run: "
+                                              +e.getMessage());
       }
     }//while
   }//run
@@ -623,10 +626,10 @@
       //check the status of db. If it is free, count it
       if (db.getStatus() == BUSY)
       {
-        MetaCatUtil.debugMessage("This method having a busy DBConnection: "
-                                    +db.getCheckOutMethodName(), 30);
-        MetaCatUtil.debugMessage("The busy DBConnection tag is: "
-                                    +db.getTag(), 30);
+        logMetacat.warn("This method having a busy DBConnection: "
+                                    +db.getCheckOutMethodName());
+        logMetacat.warn("The busy DBConnection tag is: "
+                                    +db.getTag());
       }//if
     }//for
   
@@ -648,8 +651,8 @@
      DBConnection conn = null; // the dbconnection
      connectionPoolSize = connectionPool.size();
      freeConnectionSize = getFreeDBConnectionNumber();
-     MetaCatUtil.debugMessage("Connection pool size: " +connectionPoolSize, 3);
-     MetaCatUtil.debugMessage("Free Connection number: "+freeConnectionSize, 3);
+     logMetacat.warn("Connection pool size: " +connectionPoolSize);
+     logMetacat.warn("Free Connection number: "+freeConnectionSize);
      difference = connectionPoolSize - freeConnectionSize;
      
      //If all connections are free and connection pool size greater than 
@@ -673,9 +676,9 @@
          { 
            // set hadException ture
            hasException = true;
-           MetaCatUtil.debugMessage("Couldn't close a DBConnection in " +
+           logMetacat.error("Couldn't close a DBConnection in " +
                             "DBConnectionPool.shrinkDBConnectionPoolSize: " +
-                            e.getMessage(), 30);
+                            e.getMessage());
          }//catch
                                         
         //remove it from pool
@@ -710,8 +713,8 @@
      DBConnection conn = null; // the dbconnection
      connectionPoolSize = connectionPool.size();
      freeConnectionSize = getFreeDBConnectionNumber();
-     MetaCatUtil.debugMessage("Connection pool size: " +connectionPoolSize, 35);
-     MetaCatUtil.debugMessage("Free Connection number: "+freeConnectionSize, 35);
+     logMetacat.warn("Connection pool size: " +connectionPoolSize);
+     logMetacat.warn("Free Connection number: "+freeConnectionSize);
      difference = connectionPoolSize - freeConnectionSize;
      
      //If all connections are free and connection pool size greater than 
@@ -736,9 +739,9 @@
            catch (SQLException e)
            { 
           
-             MetaCatUtil.debugMessage("Couldn't close a DBConnection in " +
+             logMetacat.error("Couldn't close a DBConnection in " +
                             "DBConnectionPool.shrinkDBConnectionPoolSize: " +
-                            e.getMessage(), 30);
+                            e.getMessage());
            }//catch
         
            //remove it from pool
